QGIS Application - Bug report #9196
WMTS and CRS issue
2013-12-11 04:44 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17824
Description

1) Connect QGIS WMTS to http://maps.warwickshire.gov.uk/gs/gwc/service/wmts
2) Add any of the three tilesets.

Now, if you look on the metadata tab for the layer, you'll see it says:

CRS

CRS:84

Bounding Box

-180.0000000000000000,-90.0000000000000000 : 180.0000000000000000,90.0000000000000000

These are both wrong, the tileset used by all of these layers is using a OSGB (EPSG:27700). The extents are around 0,0 to
700000,1300000.

This may explain why when | add any of these WMTS layers to a new QGIS project, I'm viewing at 1:100million with the UK (and therefore
my data) being a little spec.

History

#1 - 2014-01-24 05:41 AM - Jonathan Moules

Note: A similar thing also seems to happen with WMS. Rather than zoom to the bounding box of the layer (try "z_OS_Raster_Basemap") it is zoomed out to
what | suspect is the whole world.

When | add that layer to a project in EPSG:27700, at the bottom of the metadata it says:

Layer Extent (layer original source projection)
-11470944.5532619059085846,-15188064.6417546700686216 : 8427360.6833318732678890,4358640.4957639789208770

Which is definitely wrong. The Layer extent is 0,0 : 700000,1300000

#2 - 2014-01-24 05:42 AM - Jonathan Moules

WEFS seems to be fine.
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts

#3 - 2014-01-29 04:15 AM - Martin Dobias

- Resolution set to fixed/implemented

- Target version set to Future Release - High Priority
- Status changed from Open to Closed

Fixed in commit:ba0a637803 (WMS: better use of reported bounding boxes) and commit:ec7718b55e (WMTS: detection of bounding box if none is

reported)

#4 - 2014-02-14 02:42 AM - Radim Blazek

- Status changed from Closed to Reopened

| am not able to add longlat (4326) WMS after commit:ba0a637. It seems that axis are somehow messed. | tried with all axis options with UMN Mapserver
6.2.2. QGIS is sending GetCapabilities without version (the server returns 1.3.0 with switched axis, i,e <BoundingBox CRS="EPSG:4326" minx=<min lat>

miny=<min long> maxx=<max lat> maxy=<max long>/>) and GetMap with version 1.3.0.

Version no axis switch ignore axis invert axis ignore and invert axis
2.0.1 ok blank blank ok

commit:7a9e682 blank blank ok ok

commit:ba0a637 swapped1 swapped1 blank blank

[1] swapped means that the layer is rendered in extent with switched axis, e.g. LatLong 50,15 is rendered on map canvas at XY 50,15.

As the commmit is relatively old (2 weeks) and nobody other complained, | admit that it may be my local problem, but cannot find any.

#5 - 2014-02-15 07:23 AM - Martin Dobias

Followup in commit:b5897¢7 - now with no axis switch the map is rendered correctly, but with invert/ignore it is "swapped"

#6 - 2014-02-20 12:29 AM - Radim Blazek

Still no luck here, without invert/ignore the map is "swapped".

#7 - 2014-02-20 05:04 AM - Radim Blazek

It was my local problem, GDAL installation was broken and GDAL data, which are used by QgsCoordinateReferenceSystem::axisinverted(), were missing.

Thanks to Martin Dobias for help to find that.

#8 - 2014-02-20 05:05 AM - Radim Blazek

- Status changed from Reopened to Closed
